{ config, pkgs, ... }:

{
  imports =
    [
      ../../base.nix
      ../../common/metrics-exporters.nix
      ./hardware-configuration.nix

      ./services/postgresql.nix
      ./services/nginx.nix
      ./services/matrix-synapse.nix
      ./services/flame.nix
      ./services/hedgedoc.nix
      ./services/pihole.nix
  ];

  networking = {
    hostName = "defiant";
    defaultGateway = "192.168.10.1";
    interfaces.enp3s0.ipv4 = {
      addresses = [
        { address = "192.168.10.175"; prefixLength = 24; } # Main IP for defiant, internal
      ];
    };
    hostId = "8e84f235";
  };

  sops.defaultSopsFile = ../../secrets/defiant/defiant.yaml;

  environment.variables = { EDITOR = "vim"; };
  environment.systemPackages = with pkgs; [
    zfs
  ];

  virtualisation.docker.enable = true;
  virtualisation.oci-containers.backend = "docker";

  system.stateVersion = "23.11";
}

